import "../../../../../../node_modules/.pnpm/vue@3.3.4/node_modules/vue/dist/vue.runtime.esm-bundler.mjs";
import SettingItem from "../../../../../components/Pages/ChartItemSetting/SettingItem.vue2.mjs";
import SettingItemBox from "../../../../../components/Pages/ChartItemSetting/SettingItemBox.vue.mjs";
import _sfc_main$1 from "../../../../../components/Pages/ChartItemSetting/CollapseItem.vue.mjs";
import "../../../../../../node_modules/.pnpm/vue3-lazyload@0.2.5-beta_a6dezdz3je235ci4e3tu4rayna/node_modules/vue3-lazyload/dist/vue3-lazyload.esm.mjs";
import "../../../../../../node_modules/.pnpm/screenfull@6.0.2/node_modules/screenfull/index.mjs";
import "../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_root.mjs";
import "../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseGetTag.mjs";
import "../../../../../../node_modules/.pnpm/html2canvas@1.4.1/node_modules/html2canvas/dist/html2canvas.esm.mjs";
import "../../../../../../node_modules/.pnpm/lodash@4.17.21/node_modules/lodash/_baseClone.mjs";
import "../../../../../../node_modules/.pnpm/crypto-js@4.1.1/node_modules/crypto-js/index.mjs";
import "../../../../../enums/pageEnum.mjs";
import "../../../../../router/index.mjs";
import "../../../../../store/modules/designStore/designStore.mjs";
import "../../../../../settings/designSetting.mjs";
import "../../../../../components/GoLoading/index.mjs";
import "../../../../../components/GoSkeleton/index.vue.mjs";
import "../../../../../store/modules/chartEditStore/chartEditStore.mjs";
import "../../../../../components/Pages/ChartItemSetting/StylesSetting.vue.mjs";
import { defineComponent, computed, resolveComponent, openBlock, createElementBlock, renderList, createBlock, withCtx, createVNode, createCommentVNode, Fragment } from "../../../../../../node_modules/.pnpm/@vue_runtime-core@3.3.4/node_modules/@vue/runtime-core/dist/runtime-core.esm-bundler.mjs";
import { unref } from "../../../../../../node_modules/.pnpm/@vue_reactivity@3.3.4/node_modules/@vue/reactivity/dist/reactivity.esm-bundler.mjs";
const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "config",
  props: {
    optionData: {
      type: Object,
      required: true
    }
  },
  setup(__props) {
    const props = __props;
    const config = computed(() => {
      return props.optionData;
    });
    return (_ctx, _cache) => {
      const _component_n_input_number = resolveComponent("n-input-number");
      const _component_n_color_picker = resolveComponent("n-color-picker");
      const _component_n_select = resolveComponent("n-select");
      return openBlock(true), createElementBlock(Fragment, null, renderList(config.value.series, (item, index) => {
        return openBlock(), createBlock(unref(_sfc_main$1), {
          key: index,
          name: `圆环`,
          expanded: true
        }, {
          default: withCtx(() => [
            createVNode(unref(SettingItemBox), { name: "数据" }, {
              default: withCtx(() => [
                createVNode(unref(SettingItem), { name: "数值" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: config.value.dataset,
                      "onUpdate:value": _cache[0] || (_cache[0] = ($event) => config.value.dataset = $event),
                      min: 0,
                      max: 1,
                      step: 0.01,
                      size: "small",
                      placeholder: "数值"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            }),
            config.value.title ? (openBlock(), createBlock(unref(SettingItemBox), {
              key: 0,
              name: "标题"
            }, {
              default: withCtx(() => [
                createVNode(unref(SettingItem), { name: "颜色" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_color_picker, {
                      size: "small",
                      modes: ["hex"],
                      value: config.value.title.textStyle.color,
                      "onUpdate:value": _cache[1] || (_cache[1] = ($event) => config.value.title.textStyle.color = $event)
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                }),
                createVNode(unref(SettingItem), { name: "字体大小" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: config.value.title.textStyle.fontSize,
                      "onUpdate:value": _cache[2] || (_cache[2] = ($event) => config.value.title.textStyle.fontSize = $event),
                      min: 0,
                      step: 1,
                      size: "small",
                      placeholder: "字体大小"
                    }, null, 8, ["value"])
                  ]),
                  _: 1
                })
              ]),
              _: 1
            })) : createCommentVNode("", true),
            createVNode(unref(SettingItemBox), { name: "进度条" }, {
              default: withCtx(() => [
                createVNode(unref(SettingItem), { name: "颜色" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_color_picker, {
                      size: "small",
                      modes: ["hex"],
                      value: item.data[0].itemStyle.color,
                      "onUpdate:value": ($event) => item.data[0].itemStyle.color = $event
                    }, null, 8, ["value", "onUpdate:value"])
                  ]),
                  _: 2
                }, 1024),
                createVNode(unref(SettingItem), { name: "阴影模糊等级" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: item.data[0].itemStyle.shadowBlur,
                      "onUpdate:value": ($event) => item.data[0].itemStyle.shadowBlur = $event,
                      min: 0,
                      max: 50,
                      step: 1,
                      size: "small",
                      placeholder: "阴影模糊等级"
                    }, null, 8, ["value", "onUpdate:value"])
                  ]),
                  _: 2
                }, 1024),
                createVNode(unref(SettingItem), { name: "阴影颜色" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_color_picker, {
                      size: "small",
                      modes: ["hex"],
                      value: item.data[0].itemStyle.shadowColor,
                      "onUpdate:value": ($event) => item.data[0].itemStyle.shadowColor = $event
                    }, null, 8, ["value", "onUpdate:value"])
                  ]),
                  _: 2
                }, 1024)
              ]),
              _: 2
            }, 1024),
            createVNode(unref(SettingItemBox), { name: "轨道" }, {
              default: withCtx(() => [
                createVNode(unref(SettingItem), { name: "颜色" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_color_picker, {
                      size: "small",
                      modes: ["hex"],
                      value: item.data[1].itemStyle.color,
                      "onUpdate:value": ($event) => item.data[1].itemStyle.color = $event
                    }, null, 8, ["value", "onUpdate:value"])
                  ]),
                  _: 2
                }, 1024),
                createVNode(unref(SettingItem), { name: "阴影模糊等级" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_input_number, {
                      value: item.data[1].itemStyle.shadowBlur,
                      "onUpdate:value": ($event) => item.data[1].itemStyle.shadowBlur = $event,
                      min: 0,
                      step: 1,
                      size: "small",
                      placeholder: "阴影模糊等级"
                    }, null, 8, ["value", "onUpdate:value"])
                  ]),
                  _: 2
                }, 1024),
                createVNode(unref(SettingItem), { name: "阴影颜色" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_color_picker, {
                      size: "small",
                      modes: ["hex"],
                      value: item.data[1].itemStyle.shadowColor,
                      "onUpdate:value": ($event) => item.data[1].itemStyle.shadowColor = $event
                    }, null, 8, ["value", "onUpdate:value"])
                  ]),
                  _: 2
                }, 1024),
                createVNode(unref(SettingItem), { name: "轨道宽度" }, {
                  default: withCtx(() => [
                    createVNode(_component_n_select, {
                      value: item.radius[0],
                      "onUpdate:value": ($event) => item.radius[0] = $event,
                      size: "small",
                      options: [
                        { label: "窄", value: "75%" },
                        { label: "中", value: "60%" },
                        { label: "宽", value: "45%" },
                        { label: "更宽", value: "30%" }
                      ]
                    }, null, 8, ["value", "onUpdate:value"])
                  ]),
                  _: 2
                }, 1024)
              ]),
              _: 2
            }, 1024)
          ]),
          _: 2
        }, 1024);
      }), 128);
    };
  }
});
export {
  _sfc_main as default
};
